Name:           idfpml
Version:        2.0
Release:        1.U1%{?dist}
Summary:        Intel Decimal Floating-Point Math Library
URL:            http://www.netlib.org/misc/intel/
License:        BSD
Group:          System Environment/Libraries
Source0:        http://www.netlib.org/misc/intel/IntelRDFPMathLib20U1.tar.gz
Patch1:         idfpml-20U1-sharedlib.patch
BuildRequires:  dos2unix

# Upstream does not provide support for ARM architecture.  Patching to treat
# armv7l as IA32 will get it to compile, but it fails the test suite.
# Need to file a bug in Red Hat Bugzilla, and block bug #485251.
ExcludeArch:    %{arm}

%description
Software implementation of the IEEE 754R Decimal Floating-Point
Arithmetic specification.  Ensures compliance with the upcoming
revision of the IEEE Standard for Floating-Point Arithmetic.  The
library implements the functions defined for decimal floating-point
arithmetic operations in the 'DRAFT Standard for Floating-Point
Arithmetic P754', which is a revision of the IEEE Standard 754-1985
for Binary Floating-Point Arithmetic.

%package devel
Summary:        Development files for Intel Decimal Floating-Point Math Library
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for the Intel Decimal Floating-Point Math Library.

%prep
%setup -q -n IntelRDFPMathLib20U1

# Fix newlines and permissions
find . -type f -exec dos2unix -k {} \;
find . -type f -exec chmod a-x {} \;
chmod a+x LIBRARY/linuxbuild TESTS/linuxbuild

# Fedora-specific patch to build as a shared library. Upstream appears to be
# more concerned about portability and performance
%patch1 -p 1 -b .sharedlib

%build
cd LIBRARY
# build system is inherently sequential, and doesn't work with SMP
CFLAGS_AUX="-fPIC %{optflags}" ./linuxbuild

%check
# On i686 but not x86_64, the test program will log some failures of the
# binary32_to_bid{32,64,128} functions to set the inexact status flag,
# but the numeric (or NaN) results are correct. The test code contains
# some mysterious code for a status "pollution_workaround", and doesn't
# abort when that occurs, so it's apparently not considered a major
# problem, and we'll ignore it.
cd TESTS
DEFINES="%{optflags} -I%{buildroot}%{_includedir}/idfpml -L%{buildroot}%{_libdir}/idfpml" LD_LIBRARY_PATH="%{buildroot}%{_libdir}/idfpml" ./linuxbuild

%install
install -d -m 755 %{buildroot}%{_libdir}/idfpml
cd LIBRARY
for f in libbid*.so
do
  install -m 755 $f %{buildroot}%{_libdir}/idfpml/$f.0.0
  ln -s $f.0.0 %{buildroot}%{_libdir}/idfpml/$f.0
  ln -s $f.0.0 %{buildroot}%{_libdir}/idfpml/$f
done
cd ..
install -d -m 755 %{buildroot}%{_includedir}/idfpml
install -m 644 LIBRARY/src/*.h %{buildroot}%{_includedir}/idfpml

%files
%doc eula.txt README
%dir %{_libdir}/idfpml
%{_libdir}/idfpml/libbid*.so.*

%files devel
%doc LIBRARY/README
%doc EXAMPLES
%{_libdir}/idfpml/libbid*.so
%{_includedir}/idfpml

%changelog
* Mon Jun 16 2014 Eric Smith <brouhaha@fedoraproject.org> - 2.0-1.U1
- changed version numbering
- fixed require of base package
- removed pkgconfig files
- removed ldconfig

* Sun May 18 2014 Eric Smith <brouhaha@fedoraproject.org> - 20U1-1
- initial version
